* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body {
    background-color: black;
    overflow-x: hidden;

}

.container {
    width: 100%;
}

nav {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    background-color: black;

}

#adbv {
    position: fixed;
    width: 100%;
    z-index: 999;
}

nav img {
    height: 90px;
    width: 250px;
    object-fit: contain;

}

nav ul {
    list-style: none;
    display: flex;
}

nav ul li {
    padding: 10px;
}

nav ul li a {
    text-decoration: none;
    color: white;
    font-size: 18px;
    position: relative;
    cursor: pointer;
}

nav ul li a::after {
    content: "";
    height: 3px;
    width: 50%;
    background-color: aqua;
    left: 0px;
    bottom: -8px;
    position: absolute;
    transition: .5s ease-in-out;
}

nav ul li a:hover::after {
    width: 100%;
}

.icon {
    height: 70px;
    width: 20%;
    /* background-color: red; */
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    font-size: 30px;
}

.icon a:nth-child(1) {

    color: white;
    background-color: blue;
    border-radius: 80%;

}

.icon a:nth-child(2) {
    color: burlywood;
}

.icon a:nth-child(3) {
    color: white;
    /* background: green; */
    border-radius: 50%;
}

/* hero-section */

.typing {
    font-size: 26px;
    font-weight: bold;
    border-right: 3px solid white;
    width: 0;
    animation: typing 8s steps(30) infinite;
    white-space: nowrap;
    overflow: hidden
}

.typing span::before {
    color: aqua;
    content: " I am Frontend Developer";
    animation: changetext 8s infinite;

}

@keyframes typing {
    0% {
        width: 0;
    }

    20% {
        width: 27ch;
    }

    40% {
        width: 27ch;
    }

    50% {
        width: 0;
    }

    60% {
        width: 0;
    }

    80% {
        width: 26ch;
    }

    100% {
        width: 26ch;
    }
}

@keyframes changetext {

    0%,
    50% {
        content: " I am Frontend Developer";

    }

    51%,
    100% {
        content: " I am Backend Developer";

    }

}

.line {
    width: 0;
    overflow: hidden;
    white-space: nowrap;
}

.one {
    animation: typing 2s steps(22) forwards;
    animation-delay: 0s;
    animation-iteration-count: infinite;
    color: aqua;
}

.two {
    animation: typing 2s steps(21) forwards;
    animation-delay: 2.8s;
    animation-iteration-count: infinite;
    color: aqua;

}


@keyframes typing {
    to {
        width: 100%;
    }
}

.hero-container {
    width: 100%;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: space-around;
    /* background: red; */
}

.profile-outer {
    /* height: 500px; */
    width: 40%;
    /* background-color: rebeccapurple; */
    display: flex;
    align-items: center;
    justify-content: center;
    /* margin-top: 60px; */


}

.profile {
    height: 350px;
    width: 350;
    border-radius: 50%;
    box-shadow:
        0 4px 10px aqua,
        0 2px 3px aqua;

}

.profile img {
    height: 100%;
    width: 100%;
    border-radius: 50%;
}

.info-outer {

    /* height: 500px; */
    width: 50%;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.info-outer h1 {
    font-size: 3rem;
}

.info-outer p {
    font-weight: bold;
    letter-spacing: 1px;
    font-size: 1.1rem;
    text-align: center;
}

/* about */

#about h1 {
    color: white;
    text-align: center;
    font-size: 3rem;
}

#about h1 span {
    color: aqua;
}

#about hr {
    height: 5px;
    width: 80%;
    background-color: aqua;
    margin: 0 auto;
    border-radius: 10%;
    border: none;
}

.about-text {
    margin: 30px auto;
    width: 80%;
    color: white;
    text-align: justify;
}

.about-text p {
    margin-top: 15px;
    font-size: 18px;
}

.about-text span {
    font-weight: bold;
    color: aqua;
}

.about-text ul {
    color: aqua;
    font-weight: bold;
    gap: 40px;
    margin-left: 20px;
    font-size: 1.1rem;
    display: flex;
}

/* skills */

#skills h1 {
    color: white;
    text-align: center;
    font-size: 3rem;
}

#skills h1 span {
    color: aqua;
}

#skills hr {
    height: 5px;
    width: 80%;
    background-color: aqua;
    margin: 0 auto;
    border-radius: 10%;
    border: none;
}

.skills-outer {
    width: 80%;
    margin: 0 auto;
    padding: 10px;
    display: grid;
    gap: 20px;
    margin-top: 20px;
    grid-template-columns: repeat(3, 1fr)
}

.skills-box {
    height: 200px;
    /* width: 55%; */
    background: linear-gradient(45deg, aqua, white);
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .2s ease-in-out;
}

.skills-box img {
    height: 80%;
    width: 80%;
    object-fit: contain;
}

.skills-box:hover {
    transform: translateY(-7px);
}

/* servic */

#servic h1 {
    color: white;
    text-align: center;
    font-size: 3rem;
    margin-top: 20px;

}

#servic h1 span {
    color: aqua;
}

#servic hr {
    height: 5px;
    width: 80%;
    background-color: aqua;
    margin: 0 auto;
    border-radius: 10%;
    border: none;
}

.servic-outer {
    width: 80%;
    margin: 0 auto;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    margin-top: 20px;
}

.servic-box {
    height: 200px;
    width: 55%;
    border: 3px solid white;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* text-align: justify; */
    justify-content: space-around;
    transition: .2s ease-in-out;
}

.servic-box:hover {
    transform: translateY(-7px);
    background: linear-gradient(45deg, aqua, white);


}

.servic-box h4 {
    color: aqua;
    font-weight: bold;
    font-size: 1.5rem;



}

.servic-box h5 {
    color: white;
    font-size: 1.4rem;
    margin-top: 20px;

}

.servic-box h6 {
    font-size: 18px;
    color: white;
    margin: auto;
    margin-left: 15px;
}

/* Project */

#Project h1 {
    color: white;
    text-align: center;
    font-size: 3rem;
    margin-top: 20px;

}

#Project h1 span {
    color: aqua;
}

#Project hr {
    height: 5px;
    width: 80%;
    background-color: aqua;
    margin: 0 auto;
    border-radius: 10%;
    border: none;
}

.Project-outer {
    width: 80%;
    margin: 0 auto;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    margin-top: 20px;
}

.Project-box {
    height: 200px;
    width: 55%;
    border: 2px solid aqua;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;

}

.Project-box img {
    height: 100%;
    width: 100%;
    object-fit: contain;
}

/* contact */

#contact h1 {
    color: white;
    text-align: center;
    font-size: 3rem;
    margin-top: 20px;
}

#contact h1 span {
    color: aqua;
}

#contact hr {
    height: 5px;
    width: 80%;
    background-color: aqua;
    margin: 0 auto;
    border-radius: 10%;
    border: none;
}

.contact-outer {
    height: 600px;
    width: 80%;
    margin: 0 auto;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    margin-top: 20px;
    /* border: 3px solid white; */
}

.contact-box1 {
    height: 100%;
    width: 100%;
    text-align: justify;
}

.contact-box1 p {
    color: white;
    font-size: 1.5rem;
    margin-top: 20px;
}

.contact-box1 h6 {
    color: white;
    font-size: 1rem;
}

#contact-box1 {
    margin-top: 30px;
}

.contact-box2 {
    height: 100%;
    width: 100%;
    /* background-color: blue; */
}

#form {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-around;
    gap: 40px;
}

label {
    color: white;
    font-weight: bold;
    margin-left: 80px;
    margin-top: 20px;
    font-size: 1.3rem;
}

#placeholder {
    height: 35px;
    width: 350px;
    border: none;
    margin-top: 10px;
    background-color: rgba(128, 128, 128, 0.448);

}

#placeholder-text {
    height: 180px;
    width: 350px;
    border: none;
    margin-top: 10px;
    background-color: rgba(128, 128, 128, 0.448);
}

button {
    height: 40px;
    width: 165px;
    font-size: 1rem;
    font-weight: bold;
    background-color: aqua;
    color: black;
    margin-left: 100px;
    margin-top: 20px;
    border-radius: 8%;
}

/* footer */

.footer {
    height: 70px;
    width: 100%;
    background-color: aqua;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.footer p {
    color: white;
}







/* media query */

@media (max-width:480px) {

    nav {
        justify-content: space-around;
        gap: 10px;
        width: 100%;
    }



    nav ul {
        display: none;

    }

    nav .icon {
        /* font-size: 30px; */

        width: 100%;

    }



    .hero-container {
        flex-direction: column;
        align-items: center;
        justify-content: center;

    }

    .profile-outer {

        height: 80%;
        width: 80%;
        /* margin-top: 100px; */

    }

    .profile {
        height: 80%;
        width: 80%;
    }

    .profile img {
        height: 100%;
        width: 100%;
        border-radius: 50%;
    }

    .info-outer {
        height: auto;
        width: 100%;
        margin-top: 25px;
    }

    .info-outer h1 {
        font-size: 1.5rem;
    }

    .info-outer p {
        font-size: 1rem;
    }

    #about h1 {
        font-size: 2rem;
    }

    .about-text {
        margin: 30px auto;
        width: 80%;
        color: white;
        text-align: justify;
    }

    .about-text p {
        font-size: 1rem;
        width: 100%;
        align-items: center;
        justify-content: center;
    }

    .about-text ul {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 20px;
        margin-top: 10px;
        font-size: 0.8rem;

    }

    #skills h1 {
        font-size: 2rem;
    }

    .skills-outer {
        /* background-color: red; */
    width: 80%;
    margin: 0 auto;
    padding: 10px;
    display: grid;
    gap: 20px;
    margin-top: 20px;
    grid-template-columns: repeat(1, 1fr)
    
}

.skills-box {
    /* height: auto; */
    width: 100%;
    background: linear-gradient(45deg, aqua, white);
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .2s ease-in-out;
}

.skills-box img {
    /* height: 100%; */
    width: 100%;
    object-fit: contain;
}


    #servic h1 {
        font-size: 2rem;
    }



    .servic-outer {
        width: 80%;
        height: auto;
        margin: 0 auto;
        padding: 10px;
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        align-items: center;
        justify-content: center;
        gap: 20px;
        margin-top: 20px;
    }

    .servic-box {
        width: 100%;
        height: auto;
    }

    .servic-box h4 {
        font-size: 1.3rem;
    }

    .servic-box h6 {
        font-size: 0.8rem;
    }

    #Project h1 {
        font-size: 2rem;
    }



    .Project-outer {
        width: 80%;
        height: auto;
        margin: 0 auto;
        padding: 10px;
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        align-items: center;
        justify-content: center;
        gap: 20px;
        margin-top: 20px;
    }

    .Project-box {
        width: 100%;
        height: auto;
    }

    .Project-box img {
        height: 100%;
        width: 100%;
        object-fit: contain;
    }

    #contact h1 {
        font-size: 2rem;
    }

    .contact-outer {
        /* background-color: red; */
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;
        height: auto;
        padding: 20px;
        width: 100%;
    }

    .contact-box1 {
        height: 100%;
        width: 100%;
    }

    .contact-box1 p {
        font-size: 1rem;
    }

    .contact-box1 span h1 {
        font-size: 5rem;
    }

    .contact-box2 {
        margin-right: 150px;
    }


    label {
        font-size: 1rem;
    }

    button {
        height: 30px;
        width: 140px;
        font-size: 0.8rem;

    }

    #placeholder {
        height: 25px;
        width: 250px;


    }

    #placeholder-text {
        height: 130px;
        width: 250px;

    }



    .footer {
        height: 80px;
        width: 100%,
    }

    .footer p {
        font-size: 0.6rem;
    }










}